{
  "openapi": "3.0.1",
  "info": {
    "title": "Changelog for businessProcess",
    "description": "The public APIs to access event actions and details",
    "version": "v1"
  },
  "servers": [
    {
      "url": "https://<tenantHostname>/businessProcess/v1"
    }
  ],
  "tags": [
    {
      "name": "08/17/2026",
      "description": "Changes for v2026.33"
    },
    {
      "name": "06/30/2026",
      "description": "Changes for v2026.26"
    },
    {
      "name": "06/15/2026",
      "description": "Changes for v2026.24"
    },
    {
      "name": "06/08/2026",
      "description": "Changes for v2026.23"
    },
    {
      "name": "03/18/2026",
      "description": "Changes for v2026.11"
    },
    {
      "name": "12/15/2025",
      "description": "Changes for v2025.50"
    },
    {
      "name": "12/06/2025",
      "description": "Changes for v2025.49"
    },
    {
      "name": "05/17/2025",
      "description": "Changes for v2025.20"
    },
    {
      "name": "09/28/2024",
      "description": "Changes for v2024.39"
    },
    {
      "name": "06/15/2024",
      "description": "Changes for v2024.24"
    },
    {
      "name": "07/15/2023",
      "description": "Changes for v2023.28"
    },
    {
      "name": "04/24/2023",
      "description": "Changes for v2023.16"
    },
    {
      "name": "04/01/2023",
      "description": "Changes for v2023.13"
    },
    {
      "name": "03/11/2023",
      "description": "Changes for v2023.10"
    },
    {
      "name": "09/19/2022",
      "description": "Changes for v2022.38"
    },
    {
      "name": "08/06/2022",
      "description": "Changes for v2022.32"
    },
    {
      "name": "04/02/2022",
      "description": "Changes for v2022.14"
    },
    {
      "name": "09/09/2021",
      "description": "Changes for v2021.38"
    },
    {
      "name": "09/01/2021",
      "description": "Changes for v2021.37"
    },
    {
      "name": "03/15/2021",
      "description": "Changes for v2021.13"
    }
  ],
  "paths": {
    "2021.13/events": {
      "get": {
        "tags": [
          "03/15/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": " <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events\"> GET /events</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "initiatedOnOrAfter",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| The date and time this business process was initiated. |  \n\n| Previous Value |  \n| :--- |  \n| The date and time the business process was initiated. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "initiatedOnOrBefore",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| The date and time this business process was initiated. |  \n\n| Previous Value |  \n| :--- |  \n| The date and time the business process was initiated. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          }
        ]
      }
    },
    "2021.37/events/{ID}/comments": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Added new operation",
        "description": "Retrieves comments on the specified business process event.\n\nSecured by: Core Navigation\n\nScope: Adaptive Planning for the Workforce, Adaptive Planning for Financial Plans <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/comments\"> GET /events/{ID}/comments</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.",
            "required": true,
            "explode": false,
            "schema": {
              "type": "string",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "required": false,
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "exampleSetFlag": false,
              "types": [
                "integer"
              ]
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "required": false,
            "explode": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "exampleSetFlag": false,
              "types": [
                "integer"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "exampleSetFlag": false,
                      "items": {
                        "$ref": "#/components/schemas/comments_a7a41b4d029c10000b1da9c45b7b18f4",
                        "exampleSetFlag": false
                      },
                      "types": [
                        "array"
                      ]
                    },
                    "total": {
                      "type": "integer",
                      "format": "int64",
                      "exampleSetFlag": false,
                      "types": [
                        "integer"
                      ]
                    }
                  },
                  "description": "collection something or other",
                  "exampleSetFlag": false,
                  "types": [
                    "object"
                  ]
                },
                "exampleSetFlag": false
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "401": {
            "description": "Invalid resource or operation. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          }
        }
      }
    },
    "2021.37/types": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all business process types.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a collection of business process types.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types\"> GET /types</a>\n </div> \n <br>"
      }
    },
    "2021.37/types/{ID}": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a business process type.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves the business process type specified by the ID.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-\"> GET /types/{ID}</a>\n </div> \n <br>"
      }
    },
    "2021.37/types/{ID}/attachmentCategories": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves attachment categories for a business process type.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all attachment categories for the specified business process type that the processing user can select for the specified event. You can filter by event target.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-/attachmentCategories\"> GET /types/{ID}/attachmentCategories</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "eventTarget",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| The Workday ID of the event target that this business process is about. You can use a returned id from an API that returns instances of the event target type. For example, if your event target is a worker, use GET /workers in the Staffing service. |  \n\n| Previous Value |  \n| :--- |  \n| a set containing no instances |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          }
        ]
      }
    },
    "2021.37/events": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves business process events.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a collection of business process events based on the specified parameters. You must specify exactly one worker parameter. If a worker parameter is not specified, returns a blank response.<br/></div> | <div style=\"width:400px\">Returns a business process event. Secured by the Business Process Security Policy for each event.<br/></div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events\"> GET /events</a>\n </div> \n <br>"
      }
    },
    "2021.37/events/{ID}/attachments": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves attachments for a business process event.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves attachments on the specified business process event that the processing user has permission to view.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/attachments\"> GET /events/{ID}/attachments</a>\n </div> \n <br>"
      }
    },
    "2021.37/events/{ID}/inProgressSteps": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves in progress steps for a business process event.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all business process steps that are currently in progress for the specified business process event.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/inProgressSteps\"> GET /events/{ID}/inProgressSteps</a>\n </div> \n <br>"
      }
    },
    "2021.37/eventSteps/{ID}/deny": {
      "post": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Denies a business process event step.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Denies the business process event step specified by the ID of the originating event step. The processing person must have view access to the event.  In the request body, specify these required fields: id (the event step you are denying), stepAction{id} (if there are multiple event steps), comment.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/deny\"> POST /eventSteps/{ID}/deny</a>\n </div> \n <br>"
      }
    },
    "2021.37/values/sendBack/to/": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Description has been changed",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves instances that can be used as values for other endpoint parameters in this service.<br/></div> | <div style=\"width:400px\">This endpoint returns instances valid for other endpoint parameters in this API, as referenced in their respective x-prompt-values properties.<br/></div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/values/sendBack/to/\"> GET /values/sendBack/to/</a>\n </div> \n <br>"
      }
    },
    "2021.37/events/{ID}/remainingSteps": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves remaining steps for a business process event.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all remaining business process steps for the specified business process event.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/remainingSteps\"> GET /events/{ID}/remainingSteps</a>\n </div> \n <br>"
      }
    },
    "2021.37/events/{ID}": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a business process event.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves the business process event with the specified ID.<br/></div> | <div style=\"width:400px\">Returns a business process event. Secured by the Business Process Security Policy for each event.<br/></div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-\"> GET /events/{ID}</a>\n </div> \n <br>"
      }
    },
    "2021.37/eventSteps/{ID}/approve": {
      "post": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Approves a business process event step.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Approves the business process event step specified by the ID of the originating event step.  In the request body, specify these required fields: id (the event step you are approving), comment.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/approve\"> POST /eventSteps/{ID}/approve</a>\n </div> \n <br>"
      }
    },
    "2021.37/eventSteps/{ID}/sendBack": {
      "post": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Sends back a business process event step.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Sends back the business process event step specified by the ID of the originating event step.   In the request body, specify these required fields: id (the event step you are sending back), reason.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/sendBack\"> POST /eventSteps/{ID}/sendBack</a>\n </div> \n <br>"
      }
    },
    "2021.37/eventSteps": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves business process event steps.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a collection of business process event steps. You can filter the event steps by business process, creation date, due date, and step type.<br/></div> | <div style=\"width:400px\">Returns a business process event step. Returned results are secured based on processing person's view access to the event to which the step belongs. If the processing person does not have view access to the event, when this API is called, they will not be able to retrieve the event step and receive a 404 error.<br/></div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/eventSteps\"> GET /eventSteps</a>\n </div> \n <br>"
      }
    },
    "2021.37/events/{ID}/completedSteps": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves completed steps for a business process event.</div> | <div style=\"width:400px\">None</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all business process steps that are completed for the specified buinesss process event.<br/></div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/completedSteps\"> GET /events/{ID}/completedSteps</a>\n </div> \n <br>"
      }
    },
    "2021.37/eventSteps/{ID}": {
      "get": {
        "tags": [
          "09/01/2021"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a business process event step.</div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\">Adaptive Planning For Headcount Plans</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/eventSteps/-ID-\"> GET /eventSteps/{ID}</a>\n </div> \n <br>"
      }
    },
    "2021.38/eventSteps": {
      "get": {
        "tags": [
          "09/09/2021"
        ],
        "summary": "Parameters have been modified.",
        "description": " <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/eventSteps\"> GET /eventSteps</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "stepType",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| Retired. We retire this report field because when there are multiple steps on the business process definition that are associated with this event step, this report field doesn't return the step type for each associated step. We recommend that you use the Step Type report field instead. |  \n\n| Previous Value |  \n| :--- |  \n| Returns the type of step being performed by the event record. |  \n\n",
            "required": false,
            "style": "FORM",
            "explode": true,
            "schema": {
              "type": "array",
              "exampleSetFlag": false,
              "items": {
                "type": "string",
                "exampleSetFlag": false,
                "types": [
                  "string"
                ]
              },
              "types": [
                "array"
              ]
            }
          }
        ]
      }
    },
    "2022.14/eventSteps/{ID}/submit": {
      "post": {
        "tags": [
          "04/02/2022"
        ],
        "summary": "Added new operation",
        "description": "Submits the business process event step specified by the ID of the originating event step.  In the request body, specify these required fields:  id (the event step you are submitting), stepAction {id} (if there are multiple event steps), comment.\n\nSecured by: Core Navigation\n\nScope: Adaptive Planning for the Workforce, Adaptive Planning for Financial Plans <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/submit\"> POST /eventSteps/{ID}/submit</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.",
            "required": true,
            "explode": false,
            "schema": {
              "type": "string",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "*/*": {
              "schema": {
                "$ref": "#/components/schemas/businessProcessEventStepSubmit_9df63b314485100006ff40401d3e00f0",
                "exampleSetFlag": false
              },
              "exampleSetFlag": false
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Resource created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/businessProcessEventStepSubmit_9df63b314485100006ff40401d3e00f0",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\nError Code | Validation Message\n--- | ---\nA226 | Event must be an application business process event\nA212 | This event step isn't awaiting your action\nA169 | This step isn't valid for submission",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "401": {
            "description": "Invalid resource or operation. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          }
        },
        "extensions": {
          "x-codegen-request-body-name": "businessProcessEventStepSubmit"
        }
      }
    },
    "2022.32/types": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types\"> GET /types</a>\n </div> \n <br>"
      }
    },
    "2022.32/types/{ID}": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-\"> GET /types/{ID}</a>\n </div> \n <br>"
      }
    },
    "2022.32/types/{ID}/attachmentCategories": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-/attachmentCategories\"> GET /types/{ID}/attachmentCategories</a>\n </div> \n <br>"
      }
    },
    "2022.32/events": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events\"> GET /events</a>\n </div> \n <br>"
      }
    },
    "2022.32/events/{ID}/attachments": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/attachments\"> GET /events/{ID}/attachments</a>\n </div> \n <br>"
      }
    },
    "2022.32/events/{ID}/comments": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/comments\"> GET /events/{ID}/comments</a>\n </div> \n <br>"
      }
    },
    "2022.32/events/{ID}/inProgressSteps": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/inProgressSteps\"> GET /events/{ID}/inProgressSteps</a>\n </div> \n <br>"
      }
    },
    "2022.32/eventSteps/{ID}/deny": {
      "post": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/deny\"> POST /eventSteps/{ID}/deny</a>\n </div> \n <br>"
      }
    },
    "2022.32/events/{ID}/remainingSteps": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/remainingSteps\"> GET /events/{ID}/remainingSteps</a>\n </div> \n <br>"
      }
    },
    "2022.32/events/{ID}": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-\"> GET /events/{ID}</a>\n </div> \n <br>"
      }
    },
    "2022.32/eventSteps/{ID}/approve": {
      "post": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/approve\"> POST /eventSteps/{ID}/approve</a>\n </div> \n <br>"
      }
    },
    "2022.32/eventSteps/{ID}/sendBack": {
      "post": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/sendBack\"> POST /eventSteps/{ID}/sendBack</a>\n </div> \n <br>"
      }
    },
    "2022.32/eventSteps": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/eventSteps\"> GET /eventSteps</a>\n </div> \n <br>"
      }
    },
    "2022.32/events/{ID}/completedSteps": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/completedSteps\"> GET /events/{ID}/completedSteps</a>\n </div> \n <br>"
      }
    },
    "2022.32/eventSteps/{ID}": {
      "get": {
        "tags": [
          "08/06/2022"
        ],
        "summary": "Scope has been changed",
        "description": "## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Tenant Non-Configurable</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/eventSteps/-ID-\"> GET /eventSteps/{ID}</a>\n </div> \n <br>"
      }
    },
    "2022.38/events": {
      "get": {
        "tags": [
          "09/19/2022"
        ],
        "summary": "Modified this existing endpoint",
        "description": " <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events\"> GET /events</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "businessProcess",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The business process type associated with the business process. Returns filterable search results. Use with the Business Process Type data source. |  \n\n",
            "required": false,
            "style": "FORM",
            "explode": true,
            "schema": {
              "type": "array",
              "exampleSetFlag": false,
              "items": {
                "type": "string",
                "exampleSetFlag": false,
                "types": [
                  "string"
                ]
              },
              "types": [
                "array"
              ]
            }
          },
          {
            "name": "completedOnOrAfter",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The date and time the business process was completed. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "completedOnOrBefore",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The date and time the business process was completed. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "initiatedOnOrAfter",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The date and time this business process was initiated. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "initiatedOnOrBefore",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The date and time this business process was initiated. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "initiator",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The \\~worker\\~ that initiated the business process. Please do not use this field in a condition rule for the initiation step of a process, as it will not return results. This is because there is no initiating \\~worker\\~ designated until the process has started. The Initiating \\~Worker\\~ field only gets a value after the event is initiated (after the process is submitted). |  \n\n",
            "required": false,
            "style": "FORM",
            "explode": true,
            "schema": {
              "type": "array",
              "exampleSetFlag": false,
              "items": {
                "type": "string",
                "exampleSetFlag": false,
                "types": [
                  "string"
                ]
              },
              "types": [
                "array"
              ]
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| Transaction Status for Facet Search |  \n\n",
            "required": false,
            "style": "FORM",
            "explode": true,
            "schema": {
              "type": "array",
              "exampleSetFlag": false,
              "items": {
                "type": "string",
                "exampleSetFlag": false,
                "types": [
                  "string"
                ]
              },
              "types": [
                "array"
              ]
            }
          },
          {
            "name": "worker",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| Event about \\~Worker\\~ for Facet Search |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          }
        ]
      }
    },
    "2022.38/eventSteps": {
      "get": {
        "tags": [
          "09/19/2022"
        ],
        "summary": "Modified this existing endpoint",
        "description": " <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/eventSteps\"> GET /eventSteps</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "businessProcess",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The business process type of the event that the step is associated with. |  \n\n",
            "required": false,
            "style": "FORM",
            "explode": true,
            "schema": {
              "type": "array",
              "exampleSetFlag": false,
              "items": {
                "type": "string",
                "exampleSetFlag": false,
                "types": [
                  "string"
                ]
              },
              "types": [
                "array"
              ]
            }
          },
          {
            "name": "createdOnOrAfter",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The last moment the step was updated. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "createdOnOrBefore",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| The last moment the step was updated. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "dueDateOnOrAfter",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| Returns the due date for this step. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "dueDateOnOrBefore",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| Returns the due date for this step. |  \n\n",
            "required": false,
            "explode": true,
            "schema": {
              "type": "string",
              "format": "date",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          },
          {
            "name": "stepType",
            "in": "query",
            "description": "<b>Parameter Description changed</b>  \n| Updated Value |  \n| :--- |  \n| None |  \n\n| Previous Value |  \n| :--- |  \n| Retired. We retire this report field because when there are multiple steps on the business process definition that are associated with this event step, this report field doesn't return the step type for each associated step. We recommend that you use the Step Type report field instead. |  \n\n",
            "required": false,
            "style": "FORM",
            "explode": true,
            "schema": {
              "type": "array",
              "exampleSetFlag": false,
              "items": {
                "type": "string",
                "exampleSetFlag": false,
                "types": [
                  "string"
                ]
              },
              "types": [
                "array"
              ]
            }
          }
        ]
      }
    },
    "2023.10/eventSteps/{ID}/toDo": {
      "post": {
        "tags": [
          "03/11/2023"
        ],
        "summary": "Added new operation",
        "description": "Posts a To Do event step with the specified ID. Specify whether to submit the To Do item or save it for later.In the request body, specify at least these required fields: {stepAction}.\n\nSecured by: Core Navigation, Public Business Processes\n\nScope: Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/toDo\"> POST /eventSteps/{ID}/toDo</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.",
            "required": true,
            "explode": false,
            "schema": {
              "type": "string",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "*/*": {
              "schema": {
                "$ref": "#/components/schemas/businessProcessEventStepTodo_33ae690d779b10001c98021b2aa90000",
                "exampleSetFlag": false
              },
              "exampleSetFlag": false
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Resource created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/businessProcessEventStepTodo_33ae690d779b10001c98021b2aa90000",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\nError Code | Validation Message\n--- | ---\nA212 | This event step isn't awaiting your action\nA1572 | Specify a To Do step.\nA1573 | You can't comment on this business process type.\nA1574 | Specify Submit or Save for Later. This step type doesn't support other actions.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "401": {
            "description": "Invalid resource or operation. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          }
        },
        "extensions": {
          "x-codegen-request-body-name": "businessProcessEventStepTodo"
        }
      }
    },
    "2023.13/eventSteps/{ID}/toDo": {
      "post": {
        "tags": [
          "04/01/2023"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Summary changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Post an action for a To Do step in a business process.</div> | <div style=\"width:400px\">Posts a To Do event step with the specified ID. Specify whether to submit the To Do item or save it for later.In the request body, specify at least these required fields: {stepAction}.</div> |  \n\n## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Post an action for a To Do step in a business process.\nSpecify these required fields in the request body: {stepAction}.\nYou can add an optional comment, if enabled at tenant or business process level.<br/>Valid values for stepAction are:\n{ \"id\": \"133d5c88baa64136aab041c1d2e9ed53\" } for Submit,  \n{ \"id\": \"d9e41d34446c11de98360015c5e6daf6\" } for Save for Later.<br/></div> | <div style=\"width:400px\">Posts a To Do event step with the specified ID. Specify whether to submit the To Do item or save it for later.In the request body, specify at least these required fields: {stepAction}.<br/></div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/toDo\"> POST /eventSteps/{ID}/toDo</a>\n </div> \n <br>"
      }
    },
    "2023.16/eventSteps/{ID}/questionnaire": {
      "post": {
        "tags": [
          "04/24/2023"
        ],
        "summary": "Added new operation",
        "description": "Post an action for a Complete Questionnaire step in a business process.\nSpecify these required fields in the request body if the intended action is Submit or Save for Later: {stepAction, questionnaireResponse}.\nYou can send Save for Later multiple times, but {questionnaireResponse} values will replace the existing questionnaire answers. \nIf the intended action is Skip, exclude {questionnaireResponse} from the request body.\n\nValid values for stepAction are:\n{ \"id\": \"133d5c88baa64136aab041c1d2e9ed53\" } for Submit,  \n{ \"id\": \"d9e41a8c446c11de98360015c5e6daf6\" } for Save for Later,\n{ \"id\": \"d9e4231a446c11de98360015c5e6daf6\" } for Skip.\n\nSecured by: Core Navigation, Public Business Processes\n\nScope: Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/questionnaire\"> POST /eventSteps/{ID}/questionnaire</a>\n </div> \n <br>",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.",
            "required": true,
            "explode": false,
            "schema": {
              "type": "string",
              "exampleSetFlag": false,
              "types": [
                "string"
              ]
            }
          }
        ],
        "requestBody": {
          "content": {
            "*/*": {
              "schema": {
                "$ref": "#/components/schemas/completeQuestionnaireEventStep_3544fcea2784100018ee4286aeca0000",
                "exampleSetFlag": false
              },
              "exampleSetFlag": false
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Resource created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/completeQuestionnaireEventStep_3544fcea2784100018ee4286aeca0000",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\nError Code | Validation Message\n--- | ---\nA212 | This event step isn't awaiting your action\nA1584 | Specify a questionnaire response.\nA1585 | Specify a complete questionnaire.\nA1649 | You can’t skip this step if you provide a questionnaire response.\nA1650 | Specify Submit, Save for Later or Skip. This step type doesn't support other actions.\nA1651 | This step is required.\n- | All answered questions must be questions from the associated questionnaire.\n- | All answers you submit must match the expected format for that question type.\n- | This questionnaire has already been skipped. You can’t submit it again.\n- | This questionnaire is now closed. You can no longer submit new responses or change your existing responses.\n- | This questionnaire was submitted already. You can’t submit it again.\n- | This questionnaire was submitted already. You can’t submit it again.\n- | You cannot submit answers to branching questions without answers for parent questions.\n- | You have selected an invalid answer choice.\n- | You have submitted more multiple choice answers than is allowed for a question.\n- | You have submitted more than one answer for a single select multiple choice question.\n- | You must answer all required questions.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "401": {
            "description": "Invalid resource or operation. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE",
                  "exampleSetFlag": false
                },
                "exampleSetFlag": false
              }
            }
          }
        },
        "extensions": {
          "x-workday-try-enabled": "false",
          "x-codegen-request-body-name": "completeQuestionnaireEventStep"
        }
      }
    },
    "2023.28/types/{ID}/attachmentCategories": {
      "get": {
        "tags": [
          "07/15/2023"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Core Navigation, Public Business Processes</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Core Navigation</div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> | <div style=\"width:400px\">None</div> |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\"></div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-/attachmentCategories\"> GET /types/{ID}/attachmentCategories</a>\n </div> \n <br>"
      }
    },
    "2023.28/events/{ID}/attachments": {
      "get": {
        "tags": [
          "07/15/2023"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Core Navigation, Public Business Processes</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Core Navigation</div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> | <div style=\"width:400px\">None</div> |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\"></div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/attachments\"> GET /events/{ID}/attachments</a>\n </div> \n <br>"
      }
    },
    "2023.28/events/{ID}/comments": {
      "get": {
        "tags": [
          "07/15/2023"
        ],
        "summary": "Security has been changed",
        "description": "## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Core Navigation, Public Business Processes</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Public Business Processes</div> | <div style=\"width:400px\">None</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/comments\"> GET /events/{ID}/comments</a>\n </div> \n <br>"
      }
    },
    "2023.28/eventSteps/{ID}/sendBack": {
      "post": {
        "tags": [
          "07/15/2023"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Core Navigation, Public Business Processes</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Core Navigation</div> | <div style=\"width:400px\">None</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\">Adaptive Planning For Financial Plans, Adaptive Planning For The Workforce, Tenant Non-Configurable</div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> | <div style=\"width:400px\">None</div> |  \n| <div style=\"width:400px\">Adaptive Planning For The Workforce</div> | <div style=\"width:400px\"></div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/sendBack\"> POST /eventSteps/{ID}/sendBack</a>\n </div> \n <br>"
      }
    },
    "2024.24/types": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a collection of business process types.<br/><b>Secured by:</b> Public Business Processes<br/><b>Scope:</b> Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves a collection of business process types.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types\"> GET /types</a>\n </div> \n <br>"
      }
    },
    "2024.24/types/{ID}": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves the business process type specified by the ID.<br/><b>Secured by:</b> Public Business Processes<br/><b>Scope:</b> Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves the business process type specified by the ID.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-\"> GET /types/{ID}</a>\n </div> \n <br>"
      }
    },
    "2024.24/types/{ID}/attachmentCategories": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all attachment categories for the specified business process type that the processing user can select for the specified event. You can filter by event target.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves all attachment categories for the specified business process type that the processing user can select for the specified event. You can filter by event target.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/types/-ID-/attachmentCategories\"> GET /types/{ID}/attachmentCategories</a>\n </div> \n <br>"
      }
    },
    "2024.24/eventSteps/{ID}/toDo": {
      "post": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Post an action for a To Do step in a business process.\nSpecify these required fields in the request body: {stepAction}.\nYou can add an optional comment, if enabled at tenant or business process level.<br/>Valid values for stepAction are:\n{ \"id\": \"133d5c88baa64136aab041c1d2e9ed53\" } for Submit,  \n{ \"id\": \"d9e41d34446c11de98360015c5e6daf6\" } for Save for Later.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Post an action for a To Do step in a business process.\nSpecify these required fields in the request body: {stepAction}.\nYou can add an optional comment, if enabled at tenant or business process level.<br/>Valid values for stepAction are:\n{ \"id\": \"133d5c88baa64136aab041c1d2e9ed53\" } for Submit,  \n{ \"id\": \"d9e41d34446c11de98360015c5e6daf6\" } for Save for Later.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/toDo\"> POST /eventSteps/{ID}/toDo</a>\n </div> \n <br>"
      }
    },
    "2024.24/events": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves a collection of business process events based on the specified parameters. You must specify exactly one worker parameter. If a worker parameter is not specified, returns a blank response.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves a collection of business process events based on the specified parameters. You must specify exactly one worker parameter. If a worker parameter is not specified, returns a blank response.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events\"> GET /events</a>\n </div> \n <br>"
      }
    },
    "2024.24/events/{ID}/attachments": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves attachments on the specified business process event that the processing user has permission to view.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves attachments on the specified business process event that the processing user has permission to view.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/attachments\"> GET /events/{ID}/attachments</a>\n </div> \n <br>"
      }
    },
    "2024.24/events/{ID}/comments": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves comments on the specified business process event.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves comments on the specified business process event.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/comments\"> GET /events/{ID}/comments</a>\n </div> \n <br>"
      }
    },
    "2024.24/events/{ID}/inProgressSteps": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Retrieves all business process steps that are currently in progress for the specified business process event.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Retrieves all business process steps that are currently in progress for the specified business process event.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/get-/events/-ID-/inProgressSteps\"> GET /events/{ID}/inProgressSteps</a>\n </div> \n <br>"
      }
    },
    "2024.24/eventSteps/{ID}/deny": {
      "post": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
        "description": "## Description changed  \n| <div style=\"width:400px\">Updated Value</div> | <div style=\"width:400px\">Previous Value</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">Denies the business process event step specified by the ID of the originating event step. The processing person must have view access to the event.  In the request body, specify these required fields: id (the event step you are denying), stepAction{id} (if there are multiple event steps), comment.<br/><b>Secured by:</b> Core Navigation, Public Business Processes<br/><b>Scope:</b> Adaptive Planning for Financial Plans, Adaptive Planning for the Workforce, Tenant Non-Configurable<br/></div> | <div style=\"width:400px\">Denies the business process event step specified by the ID of the originating event step. The processing person must have view access to the event.  In the request body, specify these required fields: id (the event step you are denying), stepAction{id} (if there are multiple event steps), comment.<br/></div> |  \n\n## Security changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Core Navigation</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Public Business Processes</div> |  \n\n## Scope changed  \n| <div style=\"width:800px\">Updated Value</div> |  \n| :--- |  \n| <div style=\"width:800px\"></div> |  \n\n| <div style=\"width:400px\">Added Domains</div> | <div style=\"width:400px\">Removed Domains</div> |  \n| :--- | :--- |  \n| <div style=\"width:400px\">None</div> | <div style=\"width:400px\">Adaptive Planning For Financial Plans</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Adaptive Planning For The Workforce</div> |  \n| <div style=\"width:400px\"></div> | <div style=\"width:400px\">Tenant Non-Configurable</div> |  \n\n <div>\n\n</div> <div style=\"color:#0067ac; background-color:#f4fcff; padding: 12px 0px 12px 12px;border-left: 5px solid #0067ac;\"> \n <b style=\"color:#0067ac\">View this Endpoint: </b>  <a href=\"#businessProcess/v1/post-/eventSteps/-ID-/deny\"> POST /eventSteps/{ID}/deny</a>\n </div> \n <br>"
      }
    },
    "2024.24/events/{ID}/remainingSteps": {
      "get": {
        "tags": [
          "06/15/2024"
        ],
        "summary": "Modified this existing endpoint",
[...]
